<template>
  <div class="box">
    <div class="boxOne">
      <div @click="closePanoramic"
           class="boxImage"></div>
    </div>
    <div class="boxTwo">
      <iframe id="iframe"
              :src="videoUrl"
              style="height:100%;width:100%;margin:0;padding:0;overflow:hidden;"
              frameborder="0"></iframe>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data () {
    //这里存放数据
    return {
      videoUrl: null
    };
  },
  //方法集合
  methods: {
    closePanoramic () {
      this.$store.state.ShowPanoramicFlag = false;
    }
  },
  created () {
    this.videoUrl = JD_QBSP;
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.box {
  // display: flex;
  width: 100%;
  height: 100%;
  float: left;
   
  .boxOne {
    width: 47px;
    height: 100%;

    float: left;
    cursor: pointer;
    .boxImage {
      width: 100%;
      height: 47px;
      background: url('../../../assets/img/6.png') no-repeat center;
      background-size: 100% 100%;
    }
      
  }
  .boxTwo {
    float: right;
    width: 1762px;
    height: 808px;
    border: 1px solid gray;
  }
}
</style>
